{ outputs, config, pkgs, ... }: {
  imports = [
    ./accounts
    ./modules/networking
    ./modules/overlays
    ./programs/git
    ./services/garbage-collection
  ];

  nixpkgs.config.allowUnfree = true;

  nix.settings = {
    experimental-features = "nix-command flakes";
    auto-optimise-store = true;
  };

  time.timeZone = outputs.secrets.timeZone;

  console = {
    earlySetup = true;
    font = "${pkgs.terminus_font}/share/consolefonts/ter-u22n.psf.gz";
    packages = with pkgs; [ terminus_font ];
  };

  programs = {
    zsh.enable = true;
    nano.enable = false;
  };

  # Disable the HTML documentation applet
  documentation = {
    nixos.enable = false;
    info.enable = false;
  };

  # Allow binary firmware
  hardware.enableRedistributableFirmware = true;
}
